Frage Wie installiere ich libssl-dev, libffi-dev auf Mac OS?


Ich kann installieren libssl-dev und libffi-dev auf Ubuntu mit dem Befehl apt-get install libssl-dev libffi-devAber ich kann nicht auf Mac installieren; Ich habe versucht, den Befehl zu verwenden: brew install libssl-dev libffi aber nicht für mich arbeiten.

Was muss ich tun, um homebrew zu installieren?


7
2018-06-15 04:05


Ursprung


brew install libffi  stackoverflow.com/a/44707470/32453 - rogerdpack


Antworten:


Diese speziellen Pakete existieren nicht unter diesen Namen sowohl auf MacPorts als auch auf Homebrew - daher die Fehler, die Sie erhalten. Um diese speziellen Pakete unter OS X zu installieren, möchten Sie das verwenden openssl. Der folgende Befehl sollte Ihnen helfen:

brew install openssl

Wenn du schon hast openssl installiert, versuche folgendes auszuführen, um es zu reparieren - einige Benutzer über Stack Overflow berichteten dies als eine Lösung, wenn es darum ging, Django zum Laufen zu bringen.

brew unlink openssl && brew link openssl --force

11
2018-06-20 03:21



Wie machst du es ohne Sudo und Sudo? - tommy.carstensen